geos::operation::overlayng::LineLimiter Class Reference

`#include <LineLimiter.h>`

## Public Member Functions

| LineLimiter (const Envelope *env)
std::vector< std::unique_ptr< CoordinateSequence > > & | limit (const CoordinateSequence *pts)

## Detailed Description

Limits the segments in a list of segments to those which intersect an envelope. This creates zero or more sections of the input segment sequences, containing only line segments which intersect the limit envelope. Segments are not clipped, since that can move line segments enough to alter topology, and it happens in the overlay in any case. This can substantially reduce the number of vertices which need to be processed during overlay.

This optimization is only applicable to Line geometries, since it does not maintain the closed topology of rings. Polygonal geometries are optimized using the `RingClipper`.

Author
  Martin Davis

The documentation for this class was generated from the following file:

- LineLimiter.h